## org.eclipse.jet.xpath
Class NodeSetUtil

    java.lang.Object
      org.eclipse.jet.xpath.NodeSetUtil

    public final class NodeSetUtil

extends java.lang.Object

Utility class for creating XPath NodeSets from Java collections and arrays.

Since:
  0.9.0

Method Summary
`static NodeSet` `asNodeSet(java.util.Collection collection)` Wrap a Java `Collection` as a JET XPath `NodeSet`.
`static NodeSet` `asNodeSet(java.lang.Object[] array)` Wrap a Java array as a JET XPath `NodeSet`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### asNodeSet

    public static NodeSet asNodeSet(java.util.Collection collection)

  Wrap a Java `Collection` as a JET XPath `NodeSet`.

  Parameters:
    `collection` - a non-null, but possibly empty collection
  Returns:
    a node set
  Throws:
    `java.lang.NullPointerException` - if `collection` is `null`

### asNodeSet

    public static NodeSet asNodeSet(java.lang.Object[] array)

  Wrap a Java array as a JET XPath `NodeSet`.

  Parameters:
    `array` - a non-null, but possibly empty array.
  Returns:
    a node set
  Throws:
    `java.lang.NullPointerException` - if `array` is `null`

Copyright 2006 IBM Corporation and others. All Rights Reserved.